> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate a Climate Preset

> Activates a specified [climate preset](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-climate-presets) for a specified [thermostat](https://docs.seam.co/capability-guides/thermostats).



## OpenAPI

````yaml /openapi.json post /thermostats/activate_climate_preset
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /thermostats/activate_climate_preset:
    post:
      tags:
        - /thermostats
      summary: Activate a Climate Preset
      description: >-
        Activates a specified [climate
        preset](https://docs.seam.co/capability-guides/thermostats/creating-and-managing-climate-presets)
        for a specified
        [thermostat](https://docs.seam.co/capability-guides/thermostats).
      operationId: thermostatsActivateClimatePresetPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                climate_preset_key:
                  description: >-
                    Climate preset key of the climate preset that you want to
                    activate.
                  type: string
                device_id:
                  description: >-
                    ID of the thermostat device for which you want to activate a
                    climate preset.
                  format: uuid
                  type: string
              required:
                - device_id
                - climate_preset_key
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - ACTIVATE_CLIMATE_PRESET
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.thermostats.activateClimatePreset({
              device_id: "52b88155-5b81-47d2-b04d-28a802bd7395",
              climate_preset_key: "Eco",
            });

            /*
            {
              "action_attempt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "action_type": "ACTIVATE_CLIMATE_PRESET",
              "error": null,
              "result": {},
              "status": "success"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/thermostats/activate_climate_preset" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "52b88155-5b81-47d2-b04d-28a802bd7395",
              "climate_preset_key": "Eco"
            }

            EOF


            # Response:

            # {

            #   "action_attempt": {

            #     "action_attempt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",

            #     "action_type": "ACTIVATE_CLIMATE_PRESET",

            #     "error": null,

            #     "result": {},

            #     "status": "success"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.thermostats.activate_climate_preset(
                device_id="52b88155-5b81-47d2-b04d-28a802bd7395", climate_preset_key="Eco"
            )

            # ActionAttempt(
                action_attempt_id="f47ac10b-58cc-4372-a567-0e02b2c3d479",
                action_type="ACTIVATE_CLIMATE_PRESET",
                error=None,
                result={},
                status="success",
            )
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.thermostats.activate_climate_preset(
              device_id: "52b88155-5b81-47d2-b04d-28a802bd7395",
              climate_preset_key: "Eco",
            )

            # => {
              "action_attempt_id" => "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "action_type" => "ACTIVATE_CLIMATE_PRESET",
              "error" => nil,
              "result" => {
              },
              "status" => "success",
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->thermostats->activate_climate_preset(
                device_id: "52b88155-5b81-47d2-b04d-28a802bd7395",
                climate_preset_key: "Eco",
            );

            // [
                "action_attempt_id" => "f47ac10b-58cc-4372-a567-0e02b2c3d479",
                "action_type" => "ACTIVATE_CLIMATE_PRESET",
                "error" => null,
                "result" => [],
                "status" => "success",
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam thermostats activate-climate-preset --device_id
            "52b88155-5b81-47d2-b04d-28a802bd7395" --climate_preset_key "Eco"


            # {

            #   "action_attempt_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",

            #   "action_type": "ACTIVATE_CLIMATE_PRESET",

            #   "error": null,

            #   "result": {},

            #   "status": "success"

            # }
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````